API
Manage Incoming Orders
Manage your Catalog of products
Manage your Promotions
Manage your Outlets
SFTP
Manage your Catalog of products
Manage your Promotions
On this page
Overview of PUT endpoint
1) Accept an order using the PUT endpoint (Vendor Delivery only)
2) Fulfill an order via the PUT endpoint with optional
3) Partial fulfillment of an order using the PUT endpoint
4) Modify items in order and fulfill using the PUT endpoint
5) Modify weight of an item and fulfill order using the PUT endpoint
6) Replace an out-of-stock item in an order using the PUT endpoint
7) Add additional item to order using the PUT endpoint
8) Review items and update the cart using the PUT endpoint
Retrieve historic orders with our GET endpoint
Use Cases - Endpoints Explained#
There is a lot you can do with an /Orders (Partner Picking) integration. Here’s a quick list below
Use below links to jump to the topic:
Via PUT endpoint you can perform following actions
Retrieve order history using the GET endpoints
Retrieve single order details
Retrieve multiple orders details
Overview of PUT endpoint#
The PUT endpoint on order uuid ({order_id}) is used to fulfill, modify, and replace items in the orders. Orders created by the customers are sent to your configured webhook with RECEIVED status. Your picking devices can integrate the PUT endpoint to process orders.
Following are the available order and item level statuses:
Partner Picking Integrations allow you choose preferred delivery flows:
Platform Delivery: Platform riders will be delivering the orders to the customer.
READY_FOR_PICKUPorder status should be used to fulfil the order with this delivery flow. You're expected to receive order status to your webhookRECEIVEDREADY_FOR_PICKUPDISPATCHEDCANCELLED
Vendor Delivery: You need to arrange the logistics for delivering orders to the customer. You are expected to use the PUT endpoint to progress the order through the following sequence:
PUT requests you send:
ACCEPTED(optional) — acknowledge the order after receipt, before dispatching. Requiresaccepted_fortimestamp.DISPATCHED— fulfil the order once ready for delivery.
Webhook events you will receive:
RECEIVED— order created by the customerREADY_FOR_PICKUP— confirmation sent after yourDISPATCHEDPUT request succeedsCANCELLED— order cancelled by customer or logistics
For Vendor Delivery, the API response JSON will contain DISPATCHED as the order status after a successful PUT request. However, the order event notification sent to your webhook will be READY_FOR_PICKUP. DISPATCHED does not generate a separate webhook event in the Vendor Delivery flow.
Identifying delivery flow and order type from the webhook payload#
Every incoming order webhook event includes two fields your system should use to route processing logic:
| Field | Type | Values | Purpose |
transport_type | enum | LOGISTICS_DELIVERY, VENDOR_DELIVERY | Identifies the delivery flow — use this to determine which PUT statuses to send and what webhook events to expect |
order_type | enum | DELIVERY, PICKUP | Identifies whether the customer expects delivery or will collect in-store |
Fulfilling guide by field value:
transport_type: LOGISTICS_DELIVERY→ Platform Delivery flow. Fulfil withREADY_FOR_PICKUP. Platform rider will pick up the order.transport_type: VENDOR_DELIVERY→ Vendor Delivery flow. Fulfil withDISPATCHED(optionally preceded byACCEPTED). You arrange delivery.order_type: PICKUP→ Customer collects in-store. Suppress delivery address display in your picking UI. UseREADY_FOR_PICKUPto fulfil.Item status:
IN_CART, item is added to the cart by the pickerNOT_FOUND, item not available at storeNOT_PROCESSED, initial status of an item when received to your webhookREPLACED, item has been removed from the order with a replacement.ADDITION, new additional item added to the order
Order identifiers in the webhook payload#
Each incoming order webhook event contains three distinct identifiers:
| Field | Type | Description | Use |
order_id | UUID | Primary order identifier | Use in all PUT and GET endpoint calls |
external_order_id | string | Glovo platform order reference | Use when contacting Glovo support or cross-referencing in platform tools |
order_code | string | Short human-readable code displayed to riders | Use in rider handoff workflows and in-store display |
Timings in the webhook payload#
The webhook payload includes additional fields your system should parse to handle order routing and display correctly:
Timing fields:
| Field | Type | Description |
promised_for | dateTime (UTC) | Promised delivery time communicated by Glovo to the customer. |
accepted_for | dateTime (UTC) | Estimated delivery time set by the partner via the ACCEPTED PUT status. Returned in the webhook payload after acceptance. |
Loyalty program:
| Field | Type | Description |
loyalty_program.loyalty_card | string | Customer loyalty card ID. Use to apply loyalty points at fulfilment. |
loyalty_program.voucher_code | string | Voucher or discount code applied to the order. Use to validate and attribute discounts. |
original_pricing object reference: item level inforamtion when customer placed the order
| Subfield | Type | Description |
pricing_type | string | UNIT or KG — pricing method for the item |
quantity | number | Original ordered quantity |
unit_price | number | Original or discounted price per unit at order creation |
total_price | number | Original total price (unit_price × quantity) |
list_price | number | Pre-discount price. Useful for generating receipts with strike-through pricing. |
min_quantity | number | Minimum allowed quantity for this item |
max_quantity | number | Maximum allowed quantity for this item |
weight | number | Original ordered weight — KG items only. |
promotion array reference: item-level promotions applied at order creation
| Field | Type | Values | Description |
promotion[].name | string | — | Display name of the promotion |
promotion[].type | enum | STRIKETHROUGH | Promotion display type. Use to render crossed-out original price alongside discounted price. |
promotion[].discount_amount | number | — | Total discount value applied by this promotion |
promotion[].sponsorships[].sponsor | enum | VENDOR | Entity sponsoring the discount |
promotion[].sponsorships[].amount | number | — | Amount contributed by the sponsor |
Below are possible scenarios to fulfill an order using PUT endpoint, you can find the request body for each scenario please adjust it accordingly to your requirements.
1) Accept an order using the PUT endpoint (Vendor Delivery only)#
Purpose: Acknowledge that your store has received and accepted the order, before dispatching it. This is an optional intermediate step available exclusively to Vendor Delivery partners.
How does it work?
Send a PUT request with
status: ACCEPTEDafter receiving theRECEIVEDwebhook eventThe
accepted_forfield is required when usingACCEPTEDstatus — it sets the estimated delivery time for the orderaccepted_formust be a valid ISO 8601 datetime (e.g.2024-09-11T12:00:00Z)After accepting, send a separate PUT request with
status: DISPATCHEDto fulfil the order
ACCEPTED status is only supported for Vendor Delivery (transport_type: VENDOR_DELIVERY) and no webhook event will be transmitted. Feature enablement might be required at chain level please check with the team .
Request:
curl --location --request PUT 'https://glovo.partner.deliveryhero.io/v2/chains/9d4a63b5-3e07-4440-96af-aa04797da3a0/orders/807c225f-ac6d-445d-a074-ea960c892ca7' \--header 'Accept: application/json' \--header 'Content-Type: application/json' \--header 'Authorization: ••••••' \--data '{"order_id": "807c225f-ac6d-445d-a074-ea960c892ca7", // required"status": "ACCEPTED", // required — Vendor Delivery only"accepted_for": "2024-09-11T12:00:00Z", // required when status is ACCEPTED; ISO 8601 UTC"items": [{"sku": "222316","pricing": {"pricing_type": "UNIT","unit_price": 85,"quantity": 2},"status": "IN_CART"}]}'
Response: 200 as success. No webhook event is triggered by the ACCEPTED status.
2) Fulfill an order via the PUT endpoint with optional confirmed_amount#
Purpose: Complete order fulfillment, depending on your chosen delivery flows you can fulfil an order using READY_FOR_PICKUP or DISPATCHED order status
How does it work?
Order and item level status are to be considered while fulfilling the order.
Item status
IN_CARTshould be used for picked item
Order Status
READY_FOR_PICKUPto be used for fulfillment if you are using Platform DeliveryDISPATCHEDto be used for fulfillment if you are using Vendor Delivery
The request below demonstrates fulfillment in the Platform delivery flow. Upon a successful request, you should receive an HTTP status `200`, along with the corresponding order fulfillment confirmation sent to your webhook.
curl --location --request PUT 'https://glovo.partner.deliveryhero.io/v2/chains/9d4a63b5-3e07-4440-96af-aa04797da3a0/orders/807c225f-ac6d-445d-a074-ea960c892ca7' \--header 'Accept: application/json' \--header 'Content-Type: application/json' \--header 'Authorization: ••••••' \--data "order_id": "807c225f-ac6d-445d-a074-ea960c892ca7","items": [{"sku": "222316","pricing": {"pricing_type": "UNIT","unit_price": 85,"quantity": 2,"min_quantity": 0, //optional"max_quantity": 2 //optional},"status": "IN_CART" // required item level status},{"sku": "146344","pricing": {"pricing_type": "UNIT","total_price": 14,"quantity": 1,"min_quantity": 0, //optional"max_quantity": 1 //optional},"status": "IN_CART" // required item level status}],"status": "READY_FOR_PICKUP" or "DISPATCHED", // required order status, use READY_FOR_PICKUP Logicstis deliverery & DISPATCHED for vendor delivery"confirmed_amount": 99.00 // optional — see note below}
Response: 200 as success with above request body
The optional confirmed_amount field can be included in any fulfillment PUT request to confirm the expected final order total. If provided, the value must be within 10% of the platform-calculated total (items + fees). Values outside this threshold will return a validation error. If omitted, the total is calculated automatically.
The API response and webhook payloads include an original_pricing field for each item. This is a read-only field containing the item's original price at the time of order creation, before any modifications. It does not need to be included in your PUT request body.
3) Partial fulfillment of an order using the PUT endpoint#
Purpose: Fulfill an order that includes both out-of-stock and available items from the store, ensuring that no items from the order are omitted.
How does it work?
Order and item level status are to be considered while fulfilling the order.
Item status
IN_CARTshould be used for picked itemNOT_FOUNDcan be used for out-of-stock items
Order status
READY_FOR_PICKUPto be used for fulfillment if you are using Platform DeliveryDISPATCHEDto be used for Vendor Delivery
If an item has an active promotion and the item quantity is partially adjusted, the promotion details at the item level will not be recalculated. This is because promotion information is retrieved only at the time of order creation
The request below demonstrates fulfillment in the Platform delivery flow. A Successful request should have HTTP status 200 with corresponding order fulfillment confirmation is sent to your webhook.
curl --location --request PUT 'https://glovo.partner.deliveryhero.io/v2/chains/9d4a63b5-3e07-4440-96af-aa04797da3a0/orders/807c225f-ac6d-445d-a074-ea960c892ca7'--header 'Accept: application/json' \--header 'Content-Type: application/json' \--header 'Authorization: ••••••' \--data"order_id": "807c225f-ac6d-445d-a074-ea960c892ca7","items": [{"sku": "222316","pricing": {"pricing_type": "UNIT","unit_price": 85,"quantity": 2,"min_quantity": 0,"max_quantity": 2},"status": "NOT_FOUND"},{"sku": "146344","pricing": {"pricing_type": "UNIT","total_price": 14,"quantity": 1,"min_quantity": 0,"max_quantity": 1},"status": "IN_CART"}],"status": "READY_FOR_PICKUP" or "DISPATCHED"}
Response: 200 as success with above request body
4) Modify items in order and fulfill using the PUT endpoint#
Purpose:
You can adjust the quantity of items in the order and fulfil it in a single PUT request. For an item with `“item.pricing_type": "UNIT"` you can modify the `quantity` field
How It Works:
To adjust the items information
items.pricingobject to be utilisedTo modify the
quantity, ensure the value is within themin_quantityandmax_quantityrange provided in the orderPrice modifications apply to items with
"pricing_type": "UNIT":unit_pricecan only be decreased, not increased. Attempting to increaseunit_pricewill be rejected.total_pricecan be increased or decreased at the item level.
After a price modification.The updated prices will be reflected in the subsequent webhook event.
curl --location --request PUT 'https://glovo.partner.deliveryhero.io/v2/chains/9d4a63b5-3e07-4440-96af-aa04797da3a0/orders/807c225f-ac6d-445d-a074-ea960c892ca7'--header 'Accept: application/json' \--header 'Content-Type: application/json' \--header 'Authorization: ••••••' \--data"order_id": "807c225f-ac6d-445d-a074-ea960c892ca7","items": [{"sku": "222316","pricing": {"pricing_type": "UNIT","unit_price": 85,"quantity": 1, // change"min_quantity": 0,"max_quantity": 2},"status": "IN_CART"},{"sku": "146344","pricing": {"pricing_type": "UNIT","total_price": 14,"quantity": 1,"min_quantity": 0,"max_quantity": 1},"status": "IN_CART"}],"status": "READY_FOR_PICKUP" or DISPATCHED}
Response: 200 as success with above request body
The optional confirmed_amount field can be included in any fulfillment PUT request to confirm the expected final order total. If provided, the value must be within 10% of the platform-calculated total (items + fees). Values outside this threshold will return a validation error. If omitted, the total is calculated automatically.
5) Modify weight of an item and fulfill order using the PUT endpoint#
Purpose:
You can adjust the weight of items in the order and fulfil it in a single PUT request. For "items.pricing_type": "KG" you should use only weight field
How It Works:
To adjust the items information
items.pricingobject to be utilisedweightto used for modification it should be a decimal value (eg. 1.0, 2.25 etc)To modify the
weight, ensure the value is in the range ofmin_quantityandmax_quantityof itemPrice modifications are not allowed. Changes to
weightwill automatically adjust the pricequantityfield is shared at item level, no action is required on this field it has a default value 1A successful request returns an HTTP status
200, and the order fulfillment confirmation is sent to your webhook.
To enable weighted item feature you need to provide base weight / base weight value, etc please contact your Account Manager to know more
curl --location --request PUT 'https://glovo.partner.deliveryhero.io/v2/chains/9d4a63b5-3e07-4440-96af-aa04797da3a0/orders/807c225f-ac6d-445d-a074-ea960c892ca7'--header 'Accept: application/json' \--header 'Content-Type: application/json' \--header 'Authorization: ••••••' \--data"order_id": "807c225f-ac6d-445d-a074-ea960c892ca7","items": [{"sku": "222316","pricing": {"pricing_type": "KG","unit_price": 85,"quantity": 1,"weight": 1.5,"min_quantity": 0.5,"max_quantity": 2.5},"status": "IN_CART"},{"sku": "146344","pricing": {"pricing_type": "UNIT","total_price": 14,"quantity": 1,"min_quantity": 0,"max_quantity": 1},"status": "IN_CART"}],"status": "READY_FOR_PICKUP" or DISPATCHED}
Response: 200 as success with above request body
6) Replace an out-of-stock item in an order using the PUT endpoint#
The following outlines the constraints that must take into consideration while build logic around Item Replacement flow.
Constraints Requiring Partner-Side Logic#
These scenarios are technically allowed by the API but are not supported by the Platforms. You MUST implement logic into your systems to prevent these replacement scenarios
| Constraint | Detail |
| Price Restriction (Higher Price) | Replacement must be with an item of the same price or lower. The integration will not block higher priced replacements, but the necessary updates will not be reflected on the Platform or customer side |
| Weighted Item Replacement | Both KG-to-KG and KG-to-UNIT replacements are supported by the API. No partner-side restriction on replacement type is required. |
Item-Replacement limitations from API#
These functionalities are outside the scope of the current IR-Partner Picking Integrations
| Limitation | Detail |
| Product Restriction | You cannot provide multiple replacement products for a single out-of-stock SKU. |
| Promotions | Promotions will not be applied to the replacement item, even if that item is currently running a promotion. |
| Price Adjustment | Price and weight changes on the replacement item (higher or lower) are technically allowed by the API. |
| Inactive Item Activation | If an inactive item is added as a replacement, it will not be automatically reactivated in the Catalog. |
| Customer Suggestions | Customers are not able to receive replacement suggestions in the app. |
| Shopper Configuration | Shopper Management UI settings (including replacement preferences configured in the Shopper Management tool) do not apply to Partner Picking integrations. |
Purpose: Replacing an item after checking(via phone call) with customer
How does it work?
Only items available in Vendor Catalog (active/inactive) are allowed for replacements
If
item Ais added to the order as a replacement foritem B,item Bwill be marked as REPLACED and removed, whileitem Awill have the statusIN_CART. An identifier replaced_id is to be sent which indicatesitem Bis replaced withitem APartners should be able to replace a weighted item with either a weighted or non-weighted item. Pickers must enter the final weight per KG
Single PUT request can replace OOS item and fulfill order
Customer phone number will be transmitted via order payload
Item replacements are available for all Partners Picking Integrated Partners using Partner API
Do not use _id as the sole item identifier. Sending _id without sku in the request body will result in the order being cancelled. Always include sku when referencing items.
Request:
curl --location --request PUT 'https://glovo.partner.deliveryhero.io/v2/chains/9d4a63b5-3e07-4440-96af-aa04797da3a0/orders/807c225f-ac6d-445d-a074-ea960c892ca7' \--header 'Accept: application/json' \--header 'Content-Type: application/json' \--header 'Authorization: ••••••' \--data"order_id": "807c225f-ac6d-445d-a074-ea960c892ca7","items": [ // required{"_id": "796ee50e-2cb5-41ec-8a06-4208fe15dcb3", // required for REPLACED status items; omitting _id returns a 400 error"sku": "222316", // required — do not use _id alone"name": "Pepsi","pricing": { // required"pricing_type": "UNIT", // required"unit_price": 85, // optional,either of unit_price or total_price to be used to change price but not both"quantity": 2, // optional,},"status": "REPLACED" // required},{"_id": "a5e42c90-351f-4c64-be7a-7dace4b96033", // optional"sku": "146344", // required — do not use _id alone“replaced_id":"796ee50e-2cb5-41ec-8a06-4208fe15dcb3" //required –OOS item _id should be include as replaced_id"name": "cola","pricing": { // required"pricing_type": "UNIT","unit_price": 14, // optional,change is possible on either of unit_price or total_price but not both“quantity": 2 // required,},"status": "IN_CART" // required}],"status": "READY_FOR_PICKUP" // required
Response: 200 as success with above request body
replacement_preferences object reference:
We have pre-checkout replacement functionality, where customer can share replacement suggestion during order creation stage and in order and replacement preferences are transmitted to your webhook on RECEIVED status. For more information check the FAQ
7) Add additional item to order using the PUT endpoint#
Used for: if you want to add new items to the customer order e.g. carry bags
How does it work?
Multiple items can be added in a single request, with
ADDITIONitem level statusIf an item already exists in the order, it will be added as a separate entry as long as mandatory fields are provided.
Example: If "Cola" is in the order and another "Cola" is added, both will appear separately with their respective quantities.
If the item does not exist for the vendor, the request fails with an "item not found" error
If required attributes for a new item are missing, the request fails with an "invalid cart update" error
Required fields for adding additional Items to order:
sku: required for product hydration.pricing.quantity: requiredpricing.weight: required for weighted itemspricing.unit_price: optional, Vendors can set a unit price for the additional item, overriding the original price If not provided, the order will use the price from the item hydration
Request:
curl --location --request PUT 'https://glovo.partner.deliveryhero.io/v2/chains/9d4a63b5-3e07-4440-96af-aa04797da3a0/orders/807c225f-ac6d-445d-a074-ea960c892ca7' \--header 'Accept: application/json' \--header 'Content-Type: application/json' \--header 'Authorization: ••••••' \--data“order_id”: “807c225f-ac6d-445d-a074-ea960c892ca7”,“items”: [ // required{“sku”: “146344”, // item.sku is required“name”: “cola”,“pricing”: { // required“pricing_type”: “UNIT”,“unit_price”: 14, //optional, If not provided price registered in the catalog will be used“quantity”: 2 // required},“status”: “ADDITION” // required new status}],“status”: “READY_FOR_PICKUP”
Response: 200 as success with above request body
8) Review items and update the cart using the PUT endpoint#
Purpose: If you want to update the cart to validate changes with our platform on item quantity, weight, additions or replacements before finalizing the order with fulfillment status.
This is an optional request based on the Partner needs they integrate with PUT request
How does it work?
The UPDATE_CART order status allows you to modify items in an order and receive immediate feedback.
UPDATE_CARTis just for quick feedback (running validations and checks) response to you while picking, there is no actual change in the order status on this operation. No webhook event is sharedYou can call PUT with
UPDATE_CARTas many times as needed to ensure the order contains the correct set of itemsUPDATE_CARTis an optional status, it can be integrated into your existing operationsIf you want to update price, quantity, add items, or make replacements, they can push the changes first with
UPDATE_CARTstatus. &READY_FOR_PICKUPstatus must be used for completing the order fulfilment
The sub_total and order_total fields in the UPDATE_CART response are not recalculated based on item changes. They will reflect the original order totals. Updated totals are only available after the final fulfilment request (READY_FOR_PICKUP or DISPATCHED).
When using UPDATE_CART with items in ADDITION status, no price or quantity validation is applied. Any value will be accepted. Ensure your integration enforces sensible limits before submitting the final fulfilment request.
Request:
curl --location --request PUT 'https://glovo.partner.deliveryhero.io/v2/chains/9d4a63b5-3e07-4440-96af-aa04797da3a0/orders/807c225f-ac6d-445d-a074-ea960c892ca7' \--header 'Accept: application/json' \--header 'Content-Type: application/json' \--header 'Authorization: ••••••' \--data"order_id": "807c225f-ac6d-445d-a074-ea960c892ca7", // required"items": [ // required{"_id": "796ee50e-2cb5-41ec-8a06-4208fe15dcb3", // optional"sku": "222316", // required — do not use _id alone"name": "Pepsi","pricing": { // required"pricing_type": "KG", // required"unit_price": 85,// optional,either of unit_price or total_price to be used to change price but not both"quantity": 1, // optional,"weight": 1.3 // required for weighted items},"status": "IN_CART" // required},{"_id": "a5e42c90-351f-4c64-be7a-7dace4b96033","sku": "146344", // item.sku is required"name": "cola","pricing": { // required"pricing_type": "UNIT","unit_price": 14, // optional,change is possible on either of unit_price or total_price but not both“quantity": 2 // required},"status": "IN_CART" }],"status": "UPDATE_CART" // required !new status!
Retrieve historic orders with our GET endpoint#
You will be able to request order Information on:
Retrieve single order details#
Purpose:
If you want to check the status of an individual order using GET endpoint /order_id
How It Works:
The GET Order ID endpoint allows you to retrieve details of a specific order from our Order Transmission Service.
The Order ID must be in UUID format (e.g.
807c225f-ac6d-445d-a074-ea960c892ca7).Refer to the
order_idfield in the order payload.Only orders from the past 60 days can be accessed through this endpoint.
It is likely that observed order status will be picked_up or cancelled. You can use picked_up status of reconciliations 2. If orderID type uuid is not available to retrieve orders, please make use of the GET vendorID endpoint (`vendors/`).
Request:
curl --location --request GET 'https://glovo.partner.deliveryhero.io/v2/chains/9d4a63b5-3e07-4440-96af-aa04797da3a0/orders/807c225f-ac6d-445d-a074-ea960c892ca7' \--header 'Accept: application/json' \--header 'Authorization: ***
Response: HTTP 200 with order object
Retrieve multiple orders details#
Purpose:
If you need to fetch order history from a specific store.
How It Works:
The Vendor ID endpoint allows you to specify a date range to retrieve store orders. Only orders from the last 60 days are accessible.
Allowed GET Request Parameters:
start_time– Start date & time should be in UTC (e.g.,2024-09-11T10:40:00).end_time– End date & time should be in UTC (e.g.,2024-08-12T12:40:00, max 60-day range).page_size– Number of orders per page. Accepted range: 1–500 (default: 20).page– Page number of results (default: 1).
Pagination response fields:
| Field | Type | Description |
page_number | number | Current page number returned |
page_size | number | Number of orders returned on this page |
total_pages | number | Total number of pages available for the query. Use to determine when to stop paginating. |
VendorID refers to store identifier by default store_id field from payload is to be used as vendorID. If a Partner has internal store configurations, external_partner_config_id should be used in the endpoint as vendorID.
Request:
curl --location 'https://glovo.partner.deliveryhero.io/v2/chains/{chain_id}/vendors/7253942?start_time=2024-09-11T10%3A40%3A00&end_time=2024-09-12T12%3A40%3A00&page_size=&page=' \--header 'Content-Type: application/json' \--header 'Authorization: ***' \--data ''
Response: 200 with orders array object
Below are the Error codes observed while integrating with GET endpoints**:**
400 bad request is observed when the request body is not valid
401 Unauthorised is observed when token is not valid
404 Not found is observed when order is not available in our DB
Overview of PUT endpoint
1) Accept an order using the PUT endpoint (Vendor Delivery only)
2) Fulfill an order via the PUT endpoint with optional
3) Partial fulfillment of an order using the PUT endpoint
4) Modify items in order and fulfill using the PUT endpoint
5) Modify weight of an item and fulfill order using the PUT endpoint
6) Replace an out-of-stock item in an order using the PUT endpoint
7) Add additional item to order using the PUT endpoint
8) Review items and update the cart using the PUT endpoint
Retrieve historic orders with our GET endpoint